Bug 103335 - [maintainer-update] lang/sketchy
Summary: [maintainer-update] lang/sketchy
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-17 20:30 UTC by Nils M Holm
Modified: 2006-09-18 20:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nils M Holm 2006-09-17 20:30:17 UTC
Update to version 2006-09-13.
Fixed a bug in the tail call optimizer.

Fix: 

-- 
Nils M Holm <nmh@t3x.org> -- http://www.t3x.org/nmh/--4DuNbOmWxzKC8gr0VLd9VSk3s30AU60R5m4rIXyemEoe5aP1
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

diff -ru lang/sketchy.old/Makefile lang/sketchy/Makefile
--- lang/sketchy.old/Makefile	Fri Aug 18 21:29:43 2006
+++ lang/sketchy/Makefile	Sun Sep 17 21:26:47 2006
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	sketchy
-PORTVERSION=	20060807
+PORTVERSION=	20060913
 CATEGORIES=	lang devel lisp scheme
 MASTER_SITES=	http://www.t3x.org/files/
 
@@ -18,6 +18,7 @@
 MAKE_ENV+=	BINOWN=${BINOWN} \
 		BINGRP=${BINGRP}
 
+# Please keep this!
 USE_REINPLACE=	yes
 
 post-patch:
diff -ru lang/sketchy.old/distinfo lang/sketchy/distinfo
--- lang/sketchy.old/distinfo	Fri Aug 18 21:29:43 2006
+++ lang/sketchy/distinfo	Sun Sep 17 21:26:47 2006
@@ -1,3 +1,3 @@
-MD5 (sketchy-20060807.tar.gz) = 94128dfa35be37e7e8469d8ef26095af
-SHA256 (sketchy-20060807.tar.gz) = 6e8aeffe1d1a6d56d664b4a6949637eaba29e2568c3e76f2d33ec3d714a2542c
-SIZE (sketchy-20060807.tar.gz) = 155852
+MD5 (sketchy-20060913.tar.gz) = 6d5d0d736dbfd33ef6173b089e6e8610
+SIZE (sketchy-20060913.tar.gz) = 147537
+SHA256 (sketchy-20060913.tar.gz) = 52994164f1502e69b9271a9c9a257ed9c5f4744f7d6c91bf808c0a1c75de4ee3
diff -ru lang/sketchy.old/pkg-descr lang/sketchy/pkg-descr
--- lang/sketchy.old/pkg-descr	Mon Mar 20 11:12:54 2006
+++ lang/sketchy/pkg-descr	Sun Sep 17 21:26:47 2006
@@ -1,9 +1,9 @@
-Sketchy is an interpreter for a purely applicative dialect
+SketchyLISP is an interpreter for a purely applicative dialect
 of Scheme. It may be considered an implementation of pure
 LISP plus global definitions, first-class continuations and
 input/output functions.
 
-This package contains the Sketchy interpreter and library,
+This package contains the SketchyLISP interpreter and library,
 the manual, and example programs.
 
 WWW: http://www.t3x.org/sketchy/
diff -ru lang/sketchy.old/pkg-plist lang/sketchy/pkg-plist
--- lang/sketchy.old/pkg-plist	Fri Aug 18 21:29:43 2006
+++ lang/sketchy/pkg-plist	Sun Sep 17 21:26:47 2006
@@ -285,7 +285,6 @@
 %%DOCSDIR%%/sk08.html
 %%DOCSDIR%%/sk09.html
 %%DOCSDIR%%/sk10.html
-%%DOCSDIR%%/sketchy.css
 %%DOCSDIR%%/toc2-x.html
 %%DOCSDIR%%/toc2.html
 @dirrm %%DATADIR%%/lib
Comment 1 Martin Wilke freebsd_committer 2006-09-18 20:30:28 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2006-09-18 20:31:52 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2006-09-18 20:33:01 UTC
miwi        2006-09-18 19:31:44 UTC

  FreeBSD ports repository

  Modified files:
    lang/sketchy         Makefile distinfo pkg-descr pkg-plist 
  Log:
  - Update to 20060913
  
  PR:             ports/103335
  Submitted by:   Nils M Holm <nmh(at)t3x.org> (maintainer)
  
  Revision  Changes    Path
  1.11      +2 -1      ports/lang/sketchy/Makefile
  1.11      +3 -3      ports/lang/sketchy/distinfo
  1.6       +2 -2      ports/lang/sketchy/pkg-descr
  1.9       +0 -1      ports/lang/sketchy/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"